#ifndef CHTTPSERVER_H
#define CHTTPSERVER_H

#include <QThread>
#include <QTcpServer>
#include <QTcpSocket>
#include <QList>

class CHTTPServer : public QThread
{
Q_OBJECT

public:
    CHTTPServer();
    virtual ~CHTTPServer();

    virtual void run();
    void Abort();

signals:

    void statusStarted();
    void statusStopped();
    void statusString(QString);
    void statusInfo(int);
    void statusError();

public slots:

    void OnConnect();

private:

    void ParseRequest(QTcpSocket *,QString);
    void SendError   (QTcpSocket *,QString);
    void SendRedirect(QTcpSocket *,QString);

    void WriteHeader(QTcpSocket *,QList< QPair< QString,QString > >);

    qint64 WriteStaticContent   (QTcpSocket *,QString,QString);
    qint64 WritePHPContent      (QTcpSocket *,QUrl,QString);
    qint64 WriteDirectoryContent(QTcpSocket *,QString);

    QString GetMIMEType(QString);

    QString m_document_root;
    int     m_port;

    QTcpServer * m_server;
};

#endif // CHTTPSERVER_H
