#include "csettingsdialog.h"
#include "ui_csettingsdialog.h"

#include <QFileDialog>
#include <QSettings>

CSettingsDialog::CSettingsDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::CSettingsDialog)
{
    ui->setupUi(this);

    QSettings settings;
    QString document_root = settings.value("general/document_root","/var/www").toString();
    int port              = settings.value("general/port",8081).toInt();

    ui->lineEdit->setText(document_root);
    ui->spinBox->setValue(port);
}

CSettingsDialog::~CSettingsDialog()
{
    delete ui;
}

void CSettingsDialog::OnBrowse()
{
    QFileDialog fd(this);

    fd.setFileMode(QFileDialog::Directory);
    fd.setDirectory(ui->lineEdit->text());

    QStringList files;
    if(fd.exec())
    {
        files = fd.selectedFiles();

        ui->lineEdit->setText(files.at(0));
    }
}

void CSettingsDialog::accept()
{
    QSettings settings;

    settings.setValue("general/document_root",ui->lineEdit->text());
    settings.setValue("general/port",ui->spinBox->value());

    done(QDialog::Accepted);
}
