#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include "CHTTPServer.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:

    // Menu commands
    void OnExit();
    void OnSettings();
    void OnAbout();

    // Button commands
    void OnStart();
    void OnStop();

    // Signals from the server

    void OnStarted();
    void OnStopped();
    void OnString(QString);
    void OnInfo(int);
    void OnError();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;

    int m_iErrorCount;
    int m_iRequestCount;
    int m_iByteCount;

    CHTTPServer * m_server;
};

#endif // MAINWINDOW_H
